TESTSETDIR_FOR = $(TESTSETDIR)/for

CSRC_FOR += \
	$(TESTSETDIR_FOR)/test_basic.c \
	$(TESTSETDIR_FOR)/test_double.c \
	$(TESTSETDIR_FOR)/test_break_continue.c

CSRC += $(CSRC_FOR)

NSRC_FOR = $(CSRC_FOR:$(TESTSETDIR)/%=$(TESTOBJDIR)/%)

COBJ_FOR = $(CSRC_FOR:.c=.co)
CEXE_FOR = $(CSRC_FOR:.c=.cexe)
COUT_FOR = $(CSRC_FOR:.c=.cout)
NASM_FOR = $(NSRC_FOR:.c=.S)
NOBJ_FOR = $(NSRC_FOR:.c=.no)
NEXE_FOR = $(NSRC_FOR:.c=.nexe)
NOUT_FOR = $(NSRC_FOR:.c=.nout)

test.for :	nout.for

result.for :
		$(MAKE) allclean.for
		$(MAKE) cout.for
		$(MAKE) cobj.clean.for
		$(MAKE) cexe.clean.for
		$(MAKE) clean.for

cobj.for :	$(COBJ_FOR)

cexe.for :	$(CEXE_FOR)

cout.for :	$(COUT_FOR)

nsrc.for :	$(NSRC_FOR)

nasm.for :	$(NASM_FOR)

nobj.for :	$(NOBJ_FOR)

nexe.for :	$(NEXE_FOR)

nout.for :	$(NOUT_FOR)

cobj.clean.for :
		rm -f $(COBJ_FOR)

cexe.clean.for :
		rm -f $(CEXE_FOR)

cout.clean.for :
		rm -f $(COUT_FOR)

nsrc.clean.for :
		rm -f $(NSRC_FOR)

nasm.clean.for :
		rm -f $(NASM_FOR)

nobj.clean.for :
		rm -f $(NOBJ_FOR)

nexe.clean.for :
		rm -f $(NEXE_FOR)

nout.clean.for :
		rm -f $(NOUT_FOR)

clean.for :	lib.clean nsrc.clean nasm.clean.for nobj.clean.for nexe.clean.for nout.clean.for

allclean.for :	clean.for cobj.clean.for cexe.clean.for cout.clean.for
